extends Control

@export var shelves: Array[Vector2]
var mask: Array[TextureButton]

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	mask = [$adult_lv1, $adult_lv2, $adult_lv3, $child_lv1, $child_lv2, $child_lv3]


func set_mask_position() -> void:
	shelves.shuffle()
	for i in range(mask.size()):
		mask[i].position = shelves[i]
